| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
jdapistd.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Macros
#define | JPEG_INTERNALS

## Functions
| LOCAL (boolean)
| output_pass_setup (j_decompress_ptr cinfo)
| jpeg_read_scanlines (j_decompress_ptr cinfo, JSAMPARRAY scanlines, JDIMENSION max_lines)
| jpeg_read_raw_data (j_decompress_ptr cinfo, JSAMPIMAGE data, JDIMENSION max_lines)
| jpeg_start_output (j_decompress_ptr cinfo, int scan_number)
| jpeg_finish_output (j_decompress_ptr cinfo)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 17 of file jdapistd.c.

## Function Documentation

jpeg_finish_output | ( | j_decompress_ptr | cinfo | ) |

Definition at line 253 of file jdapistd.c.

jpeg_read_raw_data | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | data,
|  | JDIMENSION | max_lines
| ) |  |

Definition at line 185 of file jdapistd.c.

jpeg_read_scanlines | ( | j_decompress_ptr | cinfo,
|  | JSAMPARRAY | scanlines,
|  | JDIMENSION | max_lines
| ) |  |

Definition at line 152 of file jdapistd.c.

jpeg_start_output | ( | j_decompress_ptr | cinfo,
|  | int | scan_number
| ) |  |

Definition at line 228 of file jdapistd.c.

LOCAL | ( | boolean |  | ) |

Definition at line 23 of file jdapistd.c.

output_pass_setup | ( | j_decompress_ptr | cinfo | ) |

Definition at line 95 of file jdapistd.c.